<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>Create New Lesson</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet library="css" name="main.css"/>
    <h:outputStylesheet library="css" name="jquery-ui.css"/>
    <h:outputScript library="js" name="jquery-3.6.0.min.js"/>
    <h:outputScript library="js" name="main.js"/>
</h:head>
<h:body>
    <h1>Create New Lesson in Activity: #{activityControl.getActivityById(param['id_activity']).name}</h1>
    <div class="card">
        <h:form id="form">
            <div class="ui-fluid p-grid p-formgrid">
                Name: <p:inputText name="name" value="#{lessonControl.name}"/><br/>
                <div class="p-field p-col-12 p-md-4">
                    Date and Time: <p:datePicker monthNavigator="true" pattern="yyyy-MM-dd" showTime="true" value="#{lessonControl.startingDateTime}"/>
                </div><br/>
                Duration :
                <p:inputTextarea name="duration" value="#{lessonControl.duration}"/>
                <p:commandButton value="Add a new lesson" action="#{lessonControl.createNewLesson()}"/>
            </div>
        </h:form>
    </div>
</h:body>
</html>
